org.jboss.resteasy.plugins.providers

## Class ProviderHelper

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.ProviderHelper

-     public final class ProviderHelper
      extends Object

  A utility class to provide supporting functionality to various entity providers.
  Version:
    $Revision: $
  Author:

    - - ### Method Summary

        Methods
        Modifier and Type | Method and Description
        --- | ---
        `static List<MediaType>` | `getAvailableMediaTypes(String[] mediaTypes)`
        `static List<Variant>` | `getAvailableVariants(List<MediaType> mediaTypes)`
        `static List<Variant>` | `getAvailableVariants(String[] mediaTypes)`
        `static String` | `readString(InputStream in)`
        `static String` | `readString(InputStream in, MediaType mediaType)`
        `static void` | `writeTo(InputStream in, OutputStream out)`

        - ### Methods inherited from class java.lang.Object

          `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readString

          public static String readString(InputStream in)
                                   throws IOException

      Parameters:
        `in` -
      Returns:
      Throws:
        `IOException`

    - #### readString

          public static String readString(InputStream in,
                          MediaType mediaType)
                                   throws IOException

      Parameters:
        `in` -
      Returns:
      Throws:
        `IOException`

    - #### getAvailableMediaTypes

          public static List<MediaType> getAvailableMediaTypes(String[] mediaTypes)

      Parameters:
        `mediaTypes` -
      Returns:

    - #### getAvailableVariants

          public static List<Variant> getAvailableVariants(String[] mediaTypes)

      Parameters:
        `mediaTypes` -
      Returns:

    - #### getAvailableVariants

          public static List<Variant> getAvailableVariants(List<MediaType> mediaTypes)

      Parameters:
        `mediaTypes` -
      Returns:

    - #### writeTo

          public static void writeTo(InputStream in,
                     OutputStream out)
                              throws IOException

      Parameters:
        `in` -
        `out` -
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.